Subject: midi par lilypond avec un autre instrument que celui par défaut:piano

From: "michel pondeville" <[email-masked]>
Date: Fri, 3 Sep 2010 19:45:06 +0200

Bonsoir à tous,
Etant encore novice dans lilypond et ne comprenant pas toujours l'écrit dans 
internet, initiation,notation, manuel de notation de lilypond, je crie un 
peu au secours.Je voudrais introduire dans une partition simple (une 
portée), le son du tuba qui est répertorié par lilypond comme 
midiInstrument; quelqu'un aurait-il l'amabilité de m'écrire une très courte 
partition.
Je vous remerci à l'avance, ce n'est pas une excuse mais je suis 
relativement âgé (67ans),ceci écrit pour que vous compreniez ma demande sur 
un point qui vous paraît peut-être enfantin.
Michel

---

From: Éditions IN NOMINE<[email-masked]>
Date: Fri, 03 Sep 2010 19:58:10 +0200

On 03/09/2010 19:45, michel pondeville wrote:
> Bonsoir à tous,
> Etant encore novice dans lilypond et ne comprenant pas toujours 
> l'écrit dans internet, initiation,notation, manuel de notation de 
> lilypond, je crie un peu au secours.Je voudrais introduire dans une 
> partition simple (une portée), le son du tuba qui est répertorié par 
> lilypond comme midiInstrument; quelqu'un aurait-il l'amabilité de 
> m'écrire une très courte partition.
avec plaisir, sur un air bien connu :

\version "2.13"
musique = \relative c {\clef bass c4 c c d e2 d c4 e d d c1 \bar "|."}
\score {
\new Staff {
     \set Staff.instrumentName = \markup {"Tuba"}
     \set Staff.midiInstrument = "tuba" \musique
}
\layout{}
\midi {
       \context {
         \Score
         tempoWholesPerMinute = #(ly:make-moment 60 2) % 60 à la blanche
         }
       }
     }
> relativement âgé (67ans),ceci écrit pour que vous compreniez ma 
> demande sur un point qui vous paraît peut-être enfantin.
Rien n'est évident quand on ne connaît pas, et il n'y a pas d'âge pour 
ne pas savoir ! ;-) Par ailleurs, le midi est loin d'être évident, vous 
le constatez avec moi ! :-[

Bienvenue sur la liste, et n'hésitez surtout pas pour poser des 
questions : tout le monde est là pour ça, et tous nous avons appris bcp 
à l'occasion de réponses !

A bientôt

JMarc
> Michel
>
> _______________________________________________
> liste de diffusion lilypond-user-fr
> [email-masked]
> http://lists.gnu.org/mailman/listinfo/lilypond-user-fr
>